START TRANSACTION ;

# 3. удалить все связи поля StudentID и потом само поле
# 4. создать связи для поля RecordBookID
DROP VIEW `view_students`;

ALTER TABLE `students_groups`
  DROP FOREIGN KEY `students_groups_ibfk_1`,
  DROP INDEX `StudentID`,
  DROP INDEX `StudentID_2`,
  DROP COLUMN `StudentID`;

ALTER TABLE `students_groups`
  ADD CONSTRAINT `students_groups_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`),
  ADD UNIQUE `SemesterID_RecordBookID` (`SemesterID`, `RecordBookID`);

# Удалить временную колонку Degree в зачетках
ALTER TABLE `record_books`
  DROP INDEX `Degree`,
  DROP COLUMN `Degree`;

COMMIT ;